#include <iostream>
#include <string>
#include <fstream>
#include <cassert>
#include <vector>
#include <stdexcept>
using namespace std;

// [Str10, p.364]
void fill_vector(istream& istr, vector<double>& v)
{
    double d=0;
    while ( istr >> d) v.push_back(d); // Einlesen
    if (!istr.eof())
    { // Fehlerbehandlung
        if ( istr.bad() )  throw runtime_error("Schwerer Fehler in istr");
        if ( istr.fail() )   // Versuch des Aufraeumens
        {
            istr.clear();
        }
    }
    return;
}


void read_vector_from_file(const string& file_name, vector<double>& v)
{
    ifstream fin(file_name.c_str());   // Oeffne das File im ASCII-Modus
    if( fin.is_open() )
    {
       v.clear();                      // Vektor leeren
       fill_vector(fin, v);
    }
    else
    {
        cout << "\nFile " << file_name << " has not been found.\n\n" ;
        assert( fin.is_open() );         // exeption handling for the poor programmer
    }

 return;
}

void write_vector_to_file(const string& file_name, const vector<double>& v)
{
    ofstream fout(file_name.c_str());   // Oeffne das File im ASCII-Modus
    if( fout.is_open() )
    {
       for (unsigned int k=0; k<v.size(); ++k)
       {
          fout << v.at(k) << endl;
       }
    }
    else
    {
        cout << "\nFile " << file_name << " has not been opened.\n\n" ;
        assert( fout.is_open() );         // exeption handling for the poor programmer
    }

 return;
}

