#ifndef FILE_IO_H_INCLUDED
#define FILE_IO_H_INCLUDED

#include <string>
#include <vector>
using namespace std;


/**
  This function opens the ASCII-file named @p file_name and reads the
  double data into the C++ vector @p v.
  If the file  @p file_name does not exist then the code stops with an appropriate message.
  @param    file_name   [IN]  name of the ASCII-file
  @param    v           [OUT] C++ vector with double values
*/

void read_vector_from_file(const string& file_name, vector<double>& v);


/**
  This function opens the ASCII-file named @p file_name and rewrites its with the
  double data from the C++ vector @p v.
  If there are problems in opening/generating file  @p file_name
  then the code stops with an appropriate message.
  @param    file_name   [IN]  name of the ASCII-file
  @param    v           [OUT] C++ vector with double values
*/

void write_vector_to_file(const string& file_name, const vector<double>& v);


#endif // FILE_IO_H_INCLUDED
